#include <pic.h>		// Include HITECH CC header file

__CONFIG (XT & WDTDIS & PWRTDIS & BORDIS & LVPDIS & DUNPROT & WRTEN & UNPROTECT); //Internal clock, Watchdog off, MCLR on, Code Unprotected

unsigned int counter;			// Create delay loop variable with max range of 0 to 65535

void Pause( unsigned short usvalue );		//Establish pause routine function
void msecbase( void );				//Establish millisecond base function

main()
{
PORTB = 0;				//Clear PortC port
TRISB = 0;				//All PortC I/O outputs


while(1==1)				//loop forever
{
	unsigned int z, y;
	RB0 = 1;         		// Turn on RC0 LED 
	for(z=0; z<256; z=z+1)
	{
	y=y+1;
	}
    RB0 = 0;       			// Turn off RC0 LED 
	Pause(10);				// Pause 10 msec
		

}	//End while
}	//end main
//*******************************************************
//pause - multiple millisecond delay routine
//*******************************************************

void Pause( unsigned short usvalue )
{
	unsigned short x;
	
	for (x=0; x<=usvalue; x++)	//Loop through a delay equal to usvalue
		{			// in milliseconds.
		msecbase();		//Jump to millisec delay routine
		}
}


//*******************************************************
//msecbase - 1 msec pause routine
//*******************************************************

void msecbase(void)
{
	OPTION = 0b00000001;		//Set prescaler to TMRO 1:4
	TMR0 = 0xd;			//Preset TMRO to overflow on 250 counts
	while(!T0IF);			//Stay until TMRO overflow flag equals 1
	T0IF = 0;			//Clear the TMR0 overflow flag
}
